BriteCore
string · uuid · requiredstring · pattern: string · pattern: string · pattern: string · pattern: string · enuminteger · min: 1integer · min: 1 boolean · requiredstring[] · required
get_invoices
POST
/api/v2/accounting/get_invoices
Retrieves paginated invoices list related to policy
Code
get_invoices › Request Body
Request schema for the api/v2/accounting/get_invoices API.
policy_idThe unique identifier of the policy to retrieve invoices for.
bill_from_date^(0[1-9]|1[0-2])\/(0…Filter for invoices with a bill date on or after this date. Format: MM/DD/YYYY.
bill_to_date^(0[1-9]|1[0-2])\/(0…Filter for invoices with a bill date on or before this date. Format: MM/DD/YYYY.
due_from_date^(0[1-9]|1[0-2])\/(0…Filter for invoices with a due date on or after this date. Format: MM/DD/YYYY.
due_to_date^(0[1-9]|1[0-2])\/(0…Filter for invoices with a due date on or before this date. Format: MM/DD/YYYY.
sorting_orderThe sorting order for the invoices, based on their date.
Enum values:
asc
desc
Default: asc
page_numberThe page number of the result set to retrieve.
Default: 1
page_sizeThe number of invoices to return per page.
Default: 50
get_invoices › Responses
200
Response schema for the api/v2/accounting/get_invoices API.
successIndicates if the API call was successful.
messagesA list of messages, usually empty on success or containing errors on failure.
object · required
